Subject: Re: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jan 2023 09:56:05 +0200

> Date: Fri, 13 Jan 2023 23:43:17 -0800
> From: Casey Connor <[email-masked]>
> Cc: [email-masked]
> 
> Oops, sorry, I just noticed the Cc on these emails that I should have 
> been using. Repeating what I said in (accidental) privacy:
> 
> I installed Ubuntu Server 22.10 in a VM, booted, installed emacs-nox 
> package from repo, did mkdir asdf.deb, cd asdf.deb, emacs -Q, and the 
> problem happens there, in case that's useful. (v27.1)
> 
> I realized that it doesn't matter what you are editing (if anything), it 
> just needs to be opened inside a directory ending in .deb.

Maybe there are local Debian changes?  I suggest to report this to the
distro first.